% **************************************************************************** %
% Author: Lambert Theisen
% => lambert.theisen@rwth-aachen.de
% => lambert.theisen@gmail.com
% Created: January 2019
% **************************************************************************** %



% **************************************************************************** %
% FLOAT OPTIONS (ESPECIALLY CENTERING)
% **************************************************************************** %
  \usepackage{floatrow}
  \floatsetup[figure]{
    objectset=centering,
  }
  \floatsetup[subfigure]{
    objectset=centering,
    captionskip=2pt,
    rowpostcode=captionskip,
  }
  \usepackage[
    % font=small,
    font=footnotesize,
    format=plain,
    labelfont={color=darkblue,bf},
    labelsep=space,
    justification=centerlast
  ]{caption}
  % Styles:
  \DeclareCaptionSubType[alph]{figure}
  \DeclareCaptionSubType[alph]{table}
  \captionsetup[subfigure]{
    labelformat=brace,
    justification=centerlast,
  }

  % -------------------------------------------------------------------------- %
  % ROTATED FIGURES
  % => Use with "\begin{sidewaysfigure}[!ht] ... \end{sidewaysfigure}"
  % -------------------------------------------------------------------------- %
    \usepackage{rotating}
  % -------------------------------------------------------------------------- %

% **************************************************************************** %